cURL
curl --request GET \ --url https://api.tryarchitect.com/v0/assets/trash \ --header 'x-api-key: <api-key>'
{ "hasMore": true, "items": [ { "assetId": "<string>", "tenantId": "<string>", "name": "<string>", "purpose": "<string>", "tags": [ "<string>" ], "aiDescription": "<string>", "parentAssetId": "<string>", "hidden": true, "data": { "type": "<string>", "fileId": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>", "trashedAt": "<string>", "deletedAt": "<string>", "lifecycleState": "active", "downloadUrl": "<string>", "previewDownloadUrl": "<string>" } ], "nextCursor": "<string>", "totalCount": 4503599627370495 }
List trashed assets.
API key authentication for the External Actor Gateway
assetType parameter
image
logo
icon
video
custom-component
cursor parameter
limit parameter
query parameter
Successful operation
Show child attributes
1
0 <= x <= 9007199254740991
Was this page helpful?